| dfeprach Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfePrach_Config Struct Reference
Overview

PRACH Config Structure. More...

## Data Fields
u32 | DeviceId
| The component instance Id. More...
metal_phys_addr_t | BaseAddr
| Instance base address. More...
u32 | NumAntenna [XDFEPRACH_BAND_ID_MAX]
| [1-8] CORE.MODEL_PARAM.NUM_ANTENNA More...
u32 | NumCCPerAntenna [XDFEPRACH_BAND_ID_MAX]
| [1-16] CORE.MODEL_PARAM.NUM_CC_PER_ANTENNA More...
u32 | NumAntennaChannels [XDFEPRACH_BAND_ID_MAX]
| [1-4] CORE.MODEL_PARAM.NUM_SLOT_CHANNELS More...
u32 | NumAntennaSlots [XDFEPRACH_BAND_ID_MAX]
| [1-8] CORE.MODEL_PARAM.NUM_SLOTS More...
u32 | NumRachLanes
| [1-2] CORE.MODEL_PARAM.NUM_RACH_LANES More...
u32 | NumRachChannels
| [1-16] CORE.MODEL_PARAM.NUM_RACH_CHANNELS More...
u32 | HasAxisCtrl
| [0,1] CORE.MODEL_PARAM.HAS_AXIS_CTRL More...
u32 | HasIrq
| [0,1] CORE.MODEL_PARAM.HAS_IRQ More...
u32 | NumBands
| [1-3] CORE.MODEL_PARAM.NUM_BANDS More...
u32 | HasContinuousSched
| [0,1] CORE.MODEL_PARAM.XDFEPRACH_HAS_CONTINUOUS_SCHED More...

## Detailed Description

PRACH Config Structure.

## Field Documentation

metal_phys_addr_t XDfePrach_Config::BaseAddr

Instance base address.

u32 XDfePrach_Config::DeviceId

The component instance Id.

u32 XDfePrach_Config::HasAxisCtrl

[0,1] CORE.MODEL_PARAM.HAS_AXIS_CTRL

Referenced by XDfePrach_AddRCtoRCCfgDynamic(), XDfePrach_AddRCtoRCCfgMBDynamic(), and XDfePrach_Configure().

u32 XDfePrach_Config::HasContinuousSched

[0,1] CORE.MODEL_PARAM.XDFEPRACH_HAS_CONTINUOUS_SCHED

Referenced by XDfePrach_Configure().

u32 XDfePrach_Config::HasIrq

[0,1] CORE.MODEL_PARAM.HAS_IRQ

Referenced by XDfePrach_Configure().

u32 XDfePrach_Config::NumAntenna[XDFEPRACH_BAND_ID_MAX]

[1-8] CORE.MODEL_PARAM.NUM_ANTENNA

Referenced by XDfePrach_Configure().

u32 XDfePrach_Config::NumAntennaChannels[XDFEPRACH_BAND_ID_MAX]

[1-4] CORE.MODEL_PARAM.NUM_SLOT_CHANNELS

Referenced by XDfePrach_Configure().

u32 XDfePrach_Config::NumAntennaSlots[XDFEPRACH_BAND_ID_MAX]

[1-8] CORE.MODEL_PARAM.NUM_SLOTS

Referenced by XDfePrach_Configure().

u32 XDfePrach_Config::NumBands

[1-3] CORE.MODEL_PARAM.NUM_BANDS

Referenced by XDfePrach_AddRCtoRCCfgMB(), XDfePrach_AddRCtoRCCfgMBDynamic(), XDfePrach_Configure(), XDfePrach_GetCurrentCCCfg(), XDfePrach_GetEmptyCCCfg(), XDfePrach_GetTriggersCfg(), XDfePrach_Initialize(), XDfePrach_SetNextCfg(), and XDfePrach_SetTriggersCfg().

u32 XDfePrach_Config::NumCCPerAntenna[XDFEPRACH_BAND_ID_MAX]

[1-16] CORE.MODEL_PARAM.NUM_CC_PER_ANTENNA

Referenced by XDfePrach_Configure().

u32 XDfePrach_Config::NumRachChannels

[1-16] CORE.MODEL_PARAM.NUM_RACH_CHANNELS

Referenced by XDfePrach_Configure().

u32 XDfePrach_Config::NumRachLanes

[1-2] CORE.MODEL_PARAM.NUM_RACH_LANES

Referenced by XDfePrach_Configure().